/* global angular, random */
angular.module("app").config([
    '$stateProvider',
    function ($stateProvider) {
        $stateProvider.state('main.caja_tag', {
            url: '/caja_tag',
            templateUrl: 'templates/caja/caja-main.html' + random,
            controller: 'CajaTagCtrl',
            resolve: {
                loadMyCtrl: [
                    '$ocLazyLoad',
                    function ($ocLazyLoad) {
                        return $ocLazyLoad.load([
                            'js/controllers/caja-tag-controllers.js' + random,
                            'js/services/caja-tag-services.js' + random,
                            'css/angular-moment-picker.min.css',
                            'js/modules/angular-moment-picker.min.js'
                        ]);
                    }
                ]
            }
        });
    }
]);